--- title: "Manage policy interfaces" slug: "manage-policy-interfaces" tags: ["Reference"] updated: 2026-09-03T18:40:43Z published: 2026-09-03T18:40:43Z canonical: "docs.trellix.com/manage-policy-interfaces" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Manage policy interfaces ### API URL `GET -<ips-api-base>/interfaces` - all interfaces on an appliance `GET/POST - <ips-api-base>/policies/<policy-name>/interfaces` - get/update interfaces for a given policy ### URL parameters `policy_type (mandatory): ips_custom|ips_default` ### Sample curl request `curl -gsvk --header "$c" "https://<host>/wsapis/v2.0.0/ips/policies/Custom-Policy_cloned_from_FireEye_Default/interfaces"` `curl -gsvk --header "$c" "https://<host>/wsapis/v2.0.0/ips/interfaces"` `curl -gsvk -X POST -H "$c" -H "Content-Type: application/json" --data '["A", "B"]' "https://<host>/wsapis/v2.0.0/ips/policies/FireEye_Default/interfaces?policy_type=ips_default"` `curl -gsvk -X POST -H "$c" -H "Content-Type: application/json" --data '[]' "https://<host>/wsapis/v2.0.0/ips/policies/FireEye_Default/interfaces?policy_type=ips_default"` ### Authentication Standard WSAPI authentication ### Method `GET - fetch interface/s ` `POST - add/modify interface/s` `application/json` ### Request body JSON Array of valid interfaces: example ["A", "B"] ### Request mime type `application/json` ### HTTP response codes - 200 - no errors - 401 - auth error - 429 - system busy, try after some time - 500 - internal error :